#include <conio.h>
#include <stdio.h>
#include <stdlib.h>
#include <at200.h>

int locate_at200(void)
{
int i,j,k;

  for( j=0,i=0x200 ; i < 0x400 ; i+=16 ) {
    inp(i);       /* On reset, the state machine requires one extra read */
    j = inp(i);
    if( j == 0x5A || j == 0xA5 ) {
      printf("Checking %Xh:\t%02Xh\n",i,j = inp(i));
      for( k=1 ; k<16 && (j == 0x5A || j == 0xA5) ; k++ )
        printf("\t %X:\t%02Xh\n",i+k,j = inp(i + k));
      if( j == 0x5A || j == 0xA5 )
        break;
    }
  }
  return( i );
}

void main(int argc,char *argv[])
{
int port;

  port = locate_at200();                      /* Find the hardware */
  if( port == 0x400 )
    printf("No AT200 was found in auto-address mode.\n");
  else
    printf("An AT200 is at address %Xh.\n",port);
}
